# Generated by Django 3.1.4 on 2020-12-11 21:26

import datetime
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Auction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('is_approved', models.BooleanField(default=False)),
                ('cap', models.IntegerField(default=1, validators=[django.core.validators.MinValueValidator(1, message='cap must be > 0')])),
                ('theme', models.CharField(default='', max_length=100)),
                ('is_opened', models.BooleanField(default=False)),
                ('is_incr', models.BooleanField(default=False)),
                ('is_interactive', models.BooleanField(default=False)),
                ('status', models.CharField(default='created', max_length=10)),
                ('start_date', models.DateTimeField(validators=[django.core.validators.MinValueValidator(datetime.datetime(2020, 12, 12, 0, 26, 27, 78910), message='start_datetime must be after today')])),
                ('durability', models.IntegerField(default=0)),
                ('employee_id', models.IntegerField(default=1)),
            ],
        ),
        migrations.CreateModel(
            name='Lot',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('start_price', models.FloatField(validators=[django.core.validators.MinValueValidator(1, message='start_price must be > 0')])),
                ('description', models.TextField(null=True)),
                ('seller_id', models.IntegerField(default=1)),
                ('price_change', models.FloatField(validators=[django.core.validators.MinValueValidator(1, message='start_price must be > 0')])),
                ('limit_price', models.FloatField(validators=[django.core.validators.MinValueValidator(1, message='start_price must be > 0')])),
                ('status', models.CharField(default='opened', max_length=10)),
                ('auction', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='repository.auction')),
            ],
        ),
    ]
